#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0x81,0xB8,0x53,0x0D,0x05,0xB1,0x02,0x78,0x63,0x2A,0x92,0x90,
		0x7A,0x61,0xDE,0x96,0x22,0x3E,0xA7,0x05,0xE8,0x14,0x6C,0x08,
		0x01,0x1A,0x78,0xCF,0xAB,0x03,0xA2,0x20,0x6F,0xE3,0xD0,0x43,
		0x7D,0x11,0x4B,0xC9,0xE1,0x91,0xDA,0x48,0x17,0xE8,0x84,0x94,
		0x8A,0x05,0xA5,0xF4,0x2D,0x7B,0xA7,0x76,0xAE,0x10,0x6B,0x67,
		0xDD,0xCF,0xC3,0xE3,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
